
From: viro@www.linux.org.uk

removed bogus uses of ->i_sb->s_dev in intermezzo (comparizons can and
should simply compare ->i_sb, printks should use ->s_id).



 fs/intermezzo/presto.c |    4 ++--
 fs/intermezzo/vfs.c    |    6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

diff -puN fs/intermezzo/presto.c~large-dev_t-05 fs/intermezzo/presto.c
--- 25/fs/intermezzo/presto.c~large-dev_t-05	2003-08-26 18:28:50.000000000 -0700
+++ 25-akpm/fs/intermezzo/presto.c	2003-08-26 18:28:50.000000000 -0700
@@ -66,8 +66,8 @@ int presto_i2m(struct inode *inode)
         cache = presto_get_cache(inode);
         CDEBUG(D_PSDEV, "\n");
         if ( !cache ) {
-                CERROR("PRESTO: BAD: cannot find cache for dev %d, ino %ld\n",
-                       inode->i_sb->s_dev, inode->i_ino);
+                CERROR("PRESTO: BAD: cannot find cache for dev %s, ino %ld\n",
+                       inode->i_sb->s_id, inode->i_ino);
                 EXIT;
                 return -1;
         }
diff -puN fs/intermezzo/vfs.c~large-dev_t-05 fs/intermezzo/vfs.c
--- 25/fs/intermezzo/vfs.c~large-dev_t-05	2003-08-26 18:28:50.000000000 -0700
+++ 25-akpm/fs/intermezzo/vfs.c	2003-08-26 18:28:50.000000000 -0700
@@ -743,7 +743,7 @@ int presto_do_link(struct presto_file_se
                 goto exit_lock;
 
         error = -EXDEV;
-        if (dir->d_inode->i_sb->s_dev != inode->i_sb->s_dev)
+        if (dir->d_inode->i_sb != inode->i_sb)
                 goto exit_lock;
 
         /*
@@ -1800,7 +1800,7 @@ int presto_rename_dir(struct presto_file
         if (error)
                 return error;
 
-        if (new_dir->i_sb->s_dev != old_dir->i_sb->s_dev)
+        if (new_dir->i_sb != old_dir->i_sb)
                 return -EXDEV;
 
         if (!new_dentry->d_inode)
@@ -1881,7 +1881,7 @@ int presto_rename_other(struct presto_fi
         if (error)
                 return error;
 
-        if (new_dir->i_sb->s_dev != old_dir->i_sb->s_dev)
+        if (new_dir->i_sb != old_dir->i_sb)
                 return -EXDEV;
 
         if (!new_dentry->d_inode)

_
